version: '3'

services:
  nginx:
    image: nginx:latest
    container_name: excel-accounts-nginx
    ports:
      - '80:80'
    volumes:
      - ./nginx.conf:/etc/nginx/conf.d/default.conf
    depends_on:
      - client
      - auth

  client:
    container_name: excel-accounts-client
    image: excel-platform/client
    build:
      context: ./Excel-Accounts-Frontend/.
      dockerfile: Development.Dockerfile
    volumes:
      - /client/node_modules
      - ./Excel-Accounts-Frontend/.:/client
    ports:
      - '3000:3000'

  auth:
    container_name: excel-accounts-auth
    image: excel-platform/auth
    build:
      context: ./Excel-Accounts-Auth/.
      dockerfile: Development.Dockerfile
    volumes:
      - /auth/node_modules
      - ./Excel-Accounts-Auth/.:/auth
    ports:
      - '1000:3000'

